Tabulky
Seznam tabulek
Načtení stránkovaného seznamu vašich extrakčních tabulek.
GET
/
v1
/
tables
const result = await client.tables.list({
page: 1,
limit: 10,
status: "completed",
});
console.log(result.data);
console.log(result.pagination.total);
result = client.tables.list(page=1, limit=10, status="completed")
print(result["data"])
print(result["pagination"]["total"])
curl -X GET "https://hub.banditshq.com/api/v1/tables?page=1&limit=10&status=completed" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"id": "tbl_abc123",
"name": "Q1 Product Catalog",
"status": "completed",
"total_rows": 42,
"schema_id": "schema_xyz789",
"created_at": "2025-03-10T14:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 3
}
}
Query parametry
integer
výchozí:"1"
Číslo stránky pro stránkování.
integer
výchozí:"25"
Počet položek na stránku (max 100).
string
Filtrování tabulek podle názvu (částečná shoda bez ohledu na velikost písmen).
string
Filtrování podle stavu úlohy. Hodnoty:
queued, processing, completed, failed.Odpověď
array
object
const result = await client.tables.list({
page: 1,
limit: 10,
status: "completed",
});
console.log(result.data);
console.log(result.pagination.total);
result = client.tables.list(page=1, limit=10, status="completed")
print(result["data"])
print(result["pagination"]["total"])
curl -X GET "https://hub.banditshq.com/api/v1/tables?page=1&limit=10&status=completed" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"id": "tbl_abc123",
"name": "Q1 Product Catalog",
"status": "completed",
"total_rows": 42,
"schema_id": "schema_xyz789",
"created_at": "2025-03-10T14:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 3
}
}
⌘I
const result = await client.tables.list({
page: 1,
limit: 10,
status: "completed",
});
console.log(result.data);
console.log(result.pagination.total);
result = client.tables.list(page=1, limit=10, status="completed")
print(result["data"])
print(result["pagination"]["total"])
curl -X GET "https://hub.banditshq.com/api/v1/tables?page=1&limit=10&status=completed" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"id": "tbl_abc123",
"name": "Q1 Product Catalog",
"status": "completed",
"total_rows": 42,
"schema_id": "schema_xyz789",
"created_at": "2025-03-10T14:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 3
}
}

